com.hazelcast.jet.accumulator

## Class LongLongAccumulator

- java.lang.Object
- - com.hazelcast.jet.accumulator.LongLongAccumulator

-     public class LongLongAccumulator
      extends Object

  Mutable container of two `long` values.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongLongAccumulator()` Creates a new instance with values equal to 0.
    `LongLongAccumulator(long value1, long value2)` Creates a new instance with the specified values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add1(long amount)` Adds the supplied amount to the first value.
    `void` | `add2(long amount)` Adds the supplied amount to the second value.
    `boolean` | `equals(Object o)`
    `long` | `get1()` Returns the first value.
    `long` | `get2()` Returns the second value.
    `int` | `hashCode()`
    `void` | `set1(long value1)` Sets the first value.
    `void` | `set2(long value2)` Sets the second value.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LongLongAccumulator

          public LongLongAccumulator()

      Creates a new instance with values equal to 0.

    - #### LongLongAccumulator

          public LongLongAccumulator(long value1,
                                     long value2)

      Creates a new instance with the specified values.

  - ### Method Detail

    - #### get1

          public long get1()

      Returns the first value.

    - #### set1

          public void set1(long value1)

      Sets the first value.

    - #### get2

          public long get2()

      Returns the second value.

    - #### set2

          public void set2(long value2)

      Sets the second value.

    - #### add1

          public void add1(long amount)

      Adds the supplied amount to the first value.

    - #### add2

          public void add2(long amount)

      Adds the supplied amount to the second value.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020. All rights reserved.